| scorer

## Function

Scores accuracy of protein-protein sequence alignment against gold standard structure-structure alignment

## Description

**************** EDIT HERE ****************

## Algorithm

**************** EDIT HERE ****************

## Usage

Under development, no final example yet

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-goldsequence]      sequence   Test aligned and substituted sequence
      [-testsequence]      sequence   Gold standard aligned and substituted
                                      sequence
      [-outfile]           outfile    If you enter the name of a file here then
                                      this program will write the score details
                                      into that file.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-goldsequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-testsequence" associated qualifiers
       -sbegin2            integer    Start of the sequence to be used
       -send2              integer    End of the sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-outfile" associated qualifiers
       -odirectory3        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-goldsequence] (Parameter 1) | Test aligned and substituted sequence | Readable sequence | Required
[-testsequence] (Parameter 2) | Gold standard aligned and substituted sequence | Readable sequence | Required
[-outfile] (Parameter 3) | If you enter the name of a file here then this program will write the score details into that file. | Output file | <sequence>.scorer
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

scorer reads any normal sequence USAs.

Under development, no example input file(s) yet

## Output file format

scorer outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

Under development, no example output file(s) yet

## Data files

**************** EDIT HERE ****************

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
alignrunner | Runs alignment program on all sequence pairs in a directory
contactalign | EMBOSS implementation of Damian Counsell's 2.5-D alignment algorithm
esim4 | Align an mRNA to a genomic DNA sequence
est2genome | Align EST and genomic DNA sequences
nawalign | Damian Counsell's implementation for protein sequences of the Needleman and Wunsch alignment algorithm
nawalignrunner | Runs nawalign alignment program on all sequence pairs in a directory
needle | Needleman-Wunsch global alignment
needlerunner | Runs needle alignment program on all sequence pairs in a directory
scorerrunner | Runs scorer to compare ordered pairs of substituted seqs in two directories and write the scores to a third
stretcher | Finds the best global alignment between two sequences
substitute | Substitutes matches from first (query) sequence of two aligned sequences in a trace into second (template sequence)
substituterunner | Runs substitute on directory of traces and writes substituted sequences to another

## Author(s)

Damian Counsell (d.counsell © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None